#ifndef GRAPHICS_SCROLLBAR_H
#define GRAPHICS_SCROLLBAR_H 1

/*
**  scrollbar.h
**
**  (C) Copyright 2003 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** Object structure.
*/

struct ScrollBar {
   OBJECT_HEADER          /* Class header */
   OBJECTID  RegionID;    /* Drawable representing the scrollbar */
   OBJECTID  DrawableID;  /* The drawable target for the scrollbar graphic */
   OBJECTID  SliderID;    /* Drawable for the slider */
   LONG      Flags;       /* Special options */
   OBJECTPTR Scroll;      /* Reference to the Scroll object */
   LONG      Direction;   /* Orientation of the scrollbar */
   FLOAT     Opacity;     /* Opacity setting */
   LONG      Breadth;     /* Width of the scrollbar */
   OBJECTID  IntersectID; /* Intersecting scrollbar */

   PRIVATE_FIELDS
   OBJECTID  ScrollID;
   UBYTE     Template[120];
   OBJECTPTR Script;
};

/*****************************************************************************
** Direction options
*/

enum {
   SO_HORIZONTAL=1,
   SO_VERTICAL
};

/*****************************************************************************
** Scrollbar flags.
*/

#define SBF_HIDE        0x00000001 /* Hide on creation, or scrollbar is currently hidden*/
#define SBF_CONSTANT    0x00000002 /* Ensures that the scrollbar is always on display */
#define SBF_RELATIVE    0x00000004 /* In this mode, objects are told to scroll in a specific direction rather than to an exact coordinate */
#define SBF_SLIDER      0x00000008 /* The scrollbar will behave more like a slider gadget */
#define SBF_NOINTERSECT 0x00000010 /* Do not attempt to intersect with opposed scrollbars */

#endif /* GRAPHICS_SCROLLBAR_H */
